﻿using System;
using System.Collections.Generic;
using System.Text;

namespace Sawsdl.ServiceModel
{
    [AttributeUsage(AttributeTargets.Method | AttributeTargets.Class | AttributeTargets.Interface)]
    public sealed class SawsdlModelReferenceAttribute : Attribute
    {
        #region Fields

        private readonly string referenceValue;        

        #endregion

        #region Constructors

        public SawsdlModelReferenceAttribute(string referenceValue)
        {
            if (String.IsNullOrEmpty(referenceValue))
            {
                throw new ArgumentNullException("referenceValue");
            }

            this.referenceValue = referenceValue;
        }

        #endregion

        #region Properties

        public string ReferenceValue
        {
            get 
            { 
                return this.referenceValue; 
            }
        }

        #endregion
    }
}
